<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MsgRowOpaqueData extends \Google\Protobuf\Internal\Message
{
    


    protected $currentMsg = null;
    


    protected $quotedMsg = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCurrentMsg()
    {
        return $this->currentMsg;
    }

    public function hasCurrentMsg()
    {
        return isset($this->currentMsg);
    }

    public function clearCurrentMsg()
    {
        unset($this->currentMsg);
    }

    




    public function setCurrentMsg($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MsgOpaqueData::class);
        $this->currentMsg = $var;

        return $this;
    }

    



    public function getQuotedMsg()
    {
        return $this->quotedMsg;
    }

    public function hasQuotedMsg()
    {
        return isset($this->quotedMsg);
    }

    public function clearQuotedMsg()
    {
        unset($this->quotedMsg);
    }

    




    public function setQuotedMsg($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MsgOpaqueData::class);
        $this->quotedMsg = $var;

        return $this;
    }

}

